

<template lang="pug">
    article.col-6.col-12-xsmall.work-item
        a.fit.thumb(:href="permlink")
            img(:src="thumbnail" alt='').article-thumbnail
        a(:href="permlink")
            h3 {{ article.title }}
        p {{ article.abstract }}

</template>

<script lang="ts">

    import Vue from "vue";

    export default Vue.component('article', {
        props: {
            article: {
                type: Object,
                required: true
            }
        },
        computed: {
            thumbnail() {
                return this.article.thumbnail_image || '/images/thumbs/01.jpg';
            },
            permlink() {
                return `/${this.article.permlink}`;
            }
        }
    })

</script>
